## Function `equals( s1, s2 )`

Description:
  Determines whether two strings are equal.

  This will usually give the same result as `s1==s2`, but it is arguably safer and may behave better when comparing different kinds of blank strings.

Parameters:
  `s1` (String)
    first string
  `s2` (String)
    second string

Return Value (boolean):
  true if s1 and s2 are both blank, or have the same content

Signature:
  `boolean equals(String, String)`